clang 10.0.0git

Public Attributes | List of all members
clang::OverloadExpr::FindResult Struct Reference

`#include "clang/AST/ExprCXX.h"`

Collaboration diagram for clang::OverloadExpr::FindResult:
[legend]

## Public Attributes
OverloadExpr * | Expression
bool | IsAddressOfOperand
bool | HasFormOfMemberPointer

## Detailed Description

Definition at line 2893 of file ExprCXX.h.

## Member Data Documentation

## ◆ Expression

OverloadExpr* clang::OverloadExpr::FindResult::Expression

Definition at line 2894 of file ExprCXX.h.

Referenced by clang::Sema::CheckAddressOfMemberAccess(), GetTypeOfFunction(), clang::Sema::resolveAddressOfSingleOverloadCandidate(), ResolveOverloadForDeduction(), and clang::Sema::tryExprAsCall().

## ◆ HasFormOfMemberPointer

bool clang::OverloadExpr::FindResult::HasFormOfMemberPointer

Definition at line 2896 of file ExprCXX.h.

Referenced by GetTypeOfFunction(), and clang::Sema::tryExprAsCall().

## ◆ IsAddressOfOperand

bool clang::OverloadExpr::FindResult::IsAddressOfOperand

Definition at line 2895 of file ExprCXX.h.

Referenced by GetTypeOfFunction(), and ResolveOverloadForDeduction().

The documentation for this struct was generated from the following file:

- include/clang/AST/ExprCXX.h